Update Feed Webhook
curl --request PUT \
--url https://api.clicker.xyz/v1/webhooks/feed/{uid} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"walletAddresses": [
"0xa4e221aa5a7ba51b5d5c7d5c923bfb9bcebcb252"
],
"destinationUrl": "<string>",
"addWalletAddresses": [
"0xa4e221aa5a7ba51b5d5c7d5c923bfb9bcebcb252"
],
"removeWalletAddresses": [
"0xa4e221aa5a7ba51b5d5c7d5c923bfb9bcebcb252"
]
}
'import requests
url = "https://api.clicker.xyz/v1/webhooks/feed/{uid}"
payload = {
"walletAddresses": ["0xa4e221aa5a7ba51b5d5c7d5c923bfb9bcebcb252"],
"destinationUrl": "<string>",
"addWalletAddresses": ["0xa4e221aa5a7ba51b5d5c7d5c923bfb9bcebcb252"],
"removeWalletAddresses": ["0xa4e221aa5a7ba51b5d5c7d5c923bfb9bcebcb252"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
walletAddresses: ['0xa4e221aa5a7ba51b5d5c7d5c923bfb9bcebcb252'],
destinationUrl: '<string>',
addWalletAddresses: ['0xa4e221aa5a7ba51b5d5c7d5c923bfb9bcebcb252'],
removeWalletAddresses: ['0xa4e221aa5a7ba51b5d5c7d5c923bfb9bcebcb252']
})
};
fetch('https://api.clicker.xyz/v1/webhooks/feed/{uid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"destinationUrl": "<string>",
"uid": "<string>",
"secret": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Webhooks
Update Webhook
Provide the UID you received when you created your webhook in order to modify it using this endpoint. Updatees include: -Add or remove wallets who are subscribed to the webhook -Replace the list of subscribers for the webhook entirely -Modify the destination URL which this webhook uses to send you feed items
PUT
/
v1
/
webhooks
/
feed
/
{uid}
Update Feed Webhook
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
A list of wallet addresses or ext: external identifiers.
The address / public key.
Pattern:
https?:\/\/(www\.)?[-a-zA-Z0-9@:%._+~#=]{1,256}\.[a-zA-Z0-9()]{1,6}\b([-a-zA-Z0-9()@:%_+.~#?&//=]*)A list of wallet addresses or ext: identifiers to append.
The address / public key.
A list of wallet addresses or ext: identifiers to remove.
The address / public key.
⌘I